NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Positioning.Constraint Class Reference

Constraints for use in positioning objects in NX. More...

Inheritance diagram for NXOpen.Positioning.Constraint:
NXOpen.NXObject NXOpen.TaggedObject NXOpen.INXObject NXOpen.Utilities.NXRemotableObject IMessageSink NXOpen.Positioning.ComponentConstraint

Public Types

enum  Alignment { InferAlign, CoAlign, ContraAlign }
 Specifies alignment of directed geometries used in a constraint. More...
 
enum  SolverStatus {
  NewlyCreated, Suppressed, OutOfDate, OverConstrained,
  NotConsistentDims, NotConsistentOther, NotConsistentUnknown, BetweenFixed,
  NotSolved, Solved, CannotSolve, Delayed,
  IgnoredInArrangement, InternallyInconsistent, UnloadedGeometry, PendingConvertedMc,
  ConflictingWithWave, InconsistentLimits, BeyondLimits
}
 Specifies the status of a constraint. More...
 
enum  SplineType { ByPoles, ByPoints, Invalid }
 Specifies how the spline points define the shape of the spline. More...
 
enum  Type {
  Undefined, Touch, Concentric, Fix,
  Distance, Parallel, Perpendicular, Center12,
  Center22, Angle, Fit, Bond,
  OrientAngle, SplineData, SplineLength, LinearPattern,
  CircularPattern, Linear2dPattern, RadiantPattern, AlignLock,
  CommonOffsetTransform, Hinge, Slider, Cylindrical,
  Ball, Screw, Gear, RackPinion,
  Cable
}
 Specifies the type of a constraint. More...
 
- Public Types inherited from NXOpen.NXObject
enum  AttributeType {
  Invalid, Null, Boolean, Integer,
  Real, String, Time, Reference,
  Any = 100
}
 Specifies attribute type. More...
 
enum  DateAndTimeFormat { Numeric, Textual }
 Specifies the format of the date and time attribute. More...
 

Public Member Functions

unsafe
NXOpen.Positioning.ConstraintReference 
CreateConstraintReference (NXOpen.NXObject movableObject, NXOpen.NXObject geometry, bool usesAxis, bool isIndirect)
 Adds geometry to a constraint and sets the movable object to be constrained. More...
 
unsafe
NXOpen.Positioning.ConstraintReference 
CreateConstraintReference (NXOpen.NXObject movableObject, NXOpen.NXObject geometry, bool usesAxis, bool isIndirect, bool usePortRotate)
 Adds geometry to a constraint and sets the movable object to be constrained. More...
 
unsafe
NXOpen.Positioning.ConstraintReference 
CreateCouplerReference (NXOpen.NXObject coupledConstraint)
 Adds constraint reference to a coupler. More...
 
unsafe void DeleteConstraintReference (NXOpen.Positioning.ConstraintReference constraintReference)
 Removes a NXOpen.Positioning.ConstraintReference from the constraint. More...
 
unsafe void EditConstraintReference (NXOpen.Positioning.ConstraintReference constraintReference, NXOpen.NXObject movableObject, NXOpen.NXObject geometry, bool usesAxis, bool isIndirect, bool usePortRotate)
 Adds geometry to a constraint and sets the movable object to be constrained, replacing the properties of an existing reference of the constraint. More...
 
unsafe void EditCouplerReference (NXOpen.Positioning.ConstraintReference couplerReference, NXOpen.NXObject coupledConstraint)
 Edit coupler reference so that it is replaced with another constraint. More...
 
unsafe void FlipAlignment ()
 Reverses the constraint alignment if this is possible. More...
 
unsafe void GenerateConversionReport (out string[] lines)
 Returns a textual conversion report this constraint from when it was converted from a Mating Constraint to an Assembly Constraint. More...
 
unsafe
NXOpen.Positioning.Constraint.SolverStatus 
GetConstraintStatus ()
 Returns the solver status of a constraint. More...
 
unsafe
NXOpen.Positioning.DisplayedConstraint 
GetDisplayedConstraint ()
 Gets the NXOpen.Positioning.DisplayedConstraint that is in the same part as that of the constraint. More...
 
unsafe
NXOpen.Positioning.ConstraintReference[] 
GetReferences ()
 Gets all the NXOpen.Positioning.ConstraintReference s for the constraint. More...
 
unsafe void Renew ()
 Changes the constraint to solve with the latest version of the constraint code. More...
 
unsafe void ReverseDirection ()
 Reverses the constraint direction. More...
 
unsafe void SetAlignmentHint (NXOpen.Positioning.Constraint.Alignment alignment)
 Set a hint as to which alignment should be used by the solver for this constraint. More...
 
unsafe void SetExpression (string expression)
 The NXOpen.Expression of a constraint - only used if this constraint type supports an expression, such as a distance or angle constraint, or a joint. More...
 
- Public Member Functions inherited from NXOpen.NXObject
unsafe NXOpen.AttributeIterator CreateAttributeIterator ()
 Create an attribute iterator More...
 
unsafe void DeleteAllAttributesByType (NXOpen.NXObject.AttributeType type)
 Deletes all attributes of a specific type. More...
 
unsafe void DeleteAllAttributesByType (NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)
 Deletes all attributes of a specific type with the option to update or not. More...
 
unsafe void DeleteAttributeByTypeAndTitle (NXOpen.NXObject.AttributeType type, string title)
 Deletes an attribute by type and title. More...
 
unsafe void DeleteAttributeByTypeAndTitle (NXOpen.NXObject.AttributeType type, string title, NXOpen.Update.Option option)
 Deletes an attribute by type and title with the option to update or not. More...
 
unsafe void DeleteUserAttribute (NXOpen.NXObject.AttributeType type, string title, bool deleteEntireArray, NXOpen.Update.Option option)
 Deletes the first attribute encountered with the given Type, Title. More...
 
unsafe void DeleteUserAttributes (NXOpen.AttributeIterator iterator, NXOpen.Update.Option option)
 Deletes the attributes on the object, if any, that satisfy the given iterator More...
 
unsafe void DeleteUserAttributes (NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)
 Deletes the attributes encountered with the given Type with option to update or not. More...
 
unsafe NXOpen.INXObject FindObject (string journalIdentifier)
 Finds the NXOpen.NXObject with the given identifier as recorded in a journal. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetAttributeTitlesByType (NXOpen.NXObject.AttributeType type)
 Gets all the attribute titles of a specific type. More...
 
unsafe bool GetBooleanUserAttribute (string title, int index)
 Gets a boolean attribute by Title and array Index. More...
 
unsafe
NXOpen.NXObject.ComputationalTime 
GetComputationalTimeUserAttribute (string title, int index)
 Gets a time attribute by Title and array Index. More...
 
unsafe int GetIntegerAttribute (string title)
 Gets an integer attribute by title. More...
 
unsafe int GetIntegerUserAttribute (string title, int index)
 Gets an integer attribute by Title and array Index. More...
 
unsafe bool GetNextUserAttribute (NXOpen.AttributeIterator iterator, out NXOpen.NXObject.AttributeInformation info)
 Gets the next attribute encountered on the object, if any, that satisfies the given iterator. More...
 
unsafe string GetPdmReferenceAttributeValue (string attributeTitle)
 Gets the value of PDM Reference attribute for given object. More...
 
unsafe double GetRealAttribute (string title)
 Gets a real attribute by title. More...
 
unsafe double GetRealUserAttribute (string title, int index)
 Gets a real attribute by Title and array Index. More...
 
unsafe string GetReferenceAttribute (string title)
 Gets the reference string (not the calculated value) of a string attribute that uses a reference string. More...
 
unsafe string GetStringAttribute (string title)
 Gets a string attribute value by title. More...
 
unsafe string GetStringUserAttribute (string title, int index)
 Gets a string attribute by Title and array Index. More...
 
unsafe string GetTimeAttribute (NXOpen.NXObject.DateAndTimeFormat format, string title)
 Gets a time attribute by title. More...
 
unsafe string GetTimeUserAttribute (string title, int index)
 Gets a time attribute by Title and array Index. More...
 
unsafe
NXOpen.NXObject.AttributeInformation 
GetUserAttribute (string title, NXOpen.NXObject.AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttribute (string title, bool includeUnset, bool addStringValues, NXOpen.NXObject.AttributeType type)
 Gets the first attribute (or attribute array) encountered on the object, if any, with a given Title and Type. More...
 
unsafe string GetUserAttributeAsString (string title, NXOpen.NXObject.AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given title, type and array index. More...
 
unsafe int GetUserAttributeCount (NXOpen.AttributeIterator iterator)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
unsafe int GetUserAttributeCount (NXOpen.AttributeIterator iterator, bool countArrayAsOneAttribute)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
unsafe int GetUserAttributeCount (NXOpen.NXObject.AttributeType type)
 Gets the count of set attributes on the object, if any, of the given type. More...
 
unsafe int GetUserAttributeCount (NXOpen.NXObject.AttributeType type, bool includeUnset, bool countArrayAsOneAttribute)
 Gets the count of attributes on the object, if any, of the given type. More...
 
unsafe bool GetUserAttributeLock (string title, NXOpen.NXObject.AttributeType type)
 Determine the lock of the given attribute. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (NXOpen.AttributeIterator iterator)
 Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes ()
 Gets all the attributes that have been set on the given object. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (bool includeUnset)
 Gets all the attributes of the given object. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (bool includeUnset, bool addStringValues)
 Gets all the attributes of the given object. More...
 
unsafe string[] GetUserAttributesAsStrings ()
 Gets all the attributes that have been set on the given object. More...
 
unsafe int GetUserAttributeSize (string title, NXOpen.NXObject.AttributeType type)
 Gets the size of the first attribute encountered on the object, if any, with a given Title and Type. More...
 
unsafe NXOpen.NXObject[] GetUserAttributeSourceObjects ()
 Returns an array of objects from which this object presents attributes. More...
 
unsafe bool HasUserAttribute (NXOpen.AttributeIterator iterator)
 Determines if an attribute exists on the object, that satisfies the given iterator More...
 
unsafe bool HasUserAttribute (string title, NXOpen.NXObject.AttributeType type, int index)
 Determines if an attribute with the given Title, Type and array Index is present on the object Unset attributes will not be detected by this function, as its purpose is to test for the actual presence of the attribute on the object. More...
 
unsafe void Print ()
 Prints a representation of this object to the system log file. More...
 
unsafe void SetAttribute (string title, int value)
 Creates or modifies an integer attribute. More...
 
unsafe void SetAttribute (string title, int value, NXOpen.Update.Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title, double value)
 Creates or modifies a real attribute. More...
 
unsafe void SetAttribute (string title, double value, NXOpen.Update.Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title, string value)
 Creates or modifies a string attribute. More...
 
unsafe void SetAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title)
 Creates or modifies a null attribute which is an attribute with a title and no value. More...
 
unsafe void SetAttribute (string title, NXOpen.Update.Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
unsafe void SetBooleanUserAttribute (string title, int index, bool value, NXOpen.Update.Option option)
 Creates or modifies a boolean attribute with the option to update or not. More...
 
unsafe void SetName (string name)
 Sets the custom name of the object. More...
 
unsafe void SetPdmReferenceAttribute (string attributeTitle, string attributeValue)
 Sets the value of PDM Reference attribute on the object. More...
 
unsafe void SetReferenceAttribute (string title, string value)
 Creates or modifies a string attribute which uses a reference string. More...
 
unsafe void SetReferenceAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute which uses a reference string, with the option to update or not. More...
 
unsafe void SetTimeAttribute (string title, string value)
 Creates or modifies a time attribute. More...
 
unsafe void SetTimeAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetTimeUserAttribute (string title, int index, string value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetTimeUserAttribute (string title, int index, NXOpen.NXObject.ComputationalTime value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (NXOpen.NXObject.AttributeInformation info, NXOpen.Update.Option option)
 Creates or modifies an attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, int value, NXOpen.Update.Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, double value, NXOpen.Update.Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, NXOpen.Update.Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
unsafe void SetUserAttributeLock (string title, NXOpen.NXObject.AttributeType type, bool @lock)
 Lock or unlock the given attribute. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool Automatic [get, set]
 Returns or sets the flag marking the constraint as an "automatic" constraint. More...
 
unsafe
NXOpen.Positioning.Constraint.Alignment 
ConstraintAlignment [get, set]
 Returns or sets the alignment behavior for the constraint. More...
 
unsafe
NXOpen.Positioning.Constraint.Alignment 
ConstraintSecondAlignment [get, set]
 Returns or sets the second alignment behavior for the constraint. More...
 
unsafe
NXOpen.Positioning.Constraint.Type 
ConstraintType [get, set]
 Returns or sets the constraint type. More...
 
unsafe NXOpen.Expression Expression [get]
 Returns the NXOpen.Expression of a constraint. More...
 
unsafe bool ExpressionDriven [get, set]
 Returns or sets the driven state of the expression of a constraint. More...
 
unsafe bool LowerLimitEnabled [get, set]
 Returns or sets the lower limit of the expression of a constraint. More...
 
unsafe NXOpen.Expression LowerLimitExpression [get]
 Returns the lower limit of the expression of a constraint. More...
 
unsafe string LowerLimitRightHandSide [get, set]
 Returns or sets the lower limit of the expression right hand side of a constraint. More...
 
unsafe NXOpen.Expression OffsetExpression [get]
 Returns the offset of a constraint. More...
 
unsafe string OffsetRightHandSide [get, set]
 Returns or sets the offset right hand side of a constraint. More...
 
unsafe bool Persistent [get, set]
 Returns or sets the persistent state of the constraint. More...
 
unsafe NXOpen.Expression SecondExpression [get]
 Returns the second NXOpen.Expression of a constraint. More...
 
unsafe bool SecondExpressionDriven [get, set]
 Returns or sets the driven state of the second expression of a constraint. More...
 
unsafe string SecondExpressionRightHandSide [get, set]
 Returns or sets the second expression right hand side of a constraint. More...
 
unsafe bool SecondLowerLimitEnabled [get, set]
 Returns or sets the lower limit of the second expression of a constraint. More...
 
unsafe NXOpen.Expression SecondLowerLimitExpression [get]
 Returns the lower limit of the second expression of a constraint. More...
 
unsafe string SecondLowerLimitRightHandSide [get, set]
 Returns or sets the lower limit of the second expression right hand side of a constraint. More...
 
unsafe bool SecondUpperLimitEnabled [get, set]
 Returns or sets the upper limit of the second expression of a constraint. More...
 
unsafe NXOpen.Expression SecondUpperLimitExpression [get]
 Returns the upper limit of the second expression of a constraint. More...
 
unsafe string SecondUpperLimitRightHandSide [get, set]
 Returns or sets the upper limit of the second expression right hand side of a constraint. More...
 
unsafe
NXOpen.Positioning.Constraint.SplineType 
SplinePointsType [get, set]
 Returns or sets the type of the spline. More...
 
unsafe bool Suppressed [get, set]
 Returns or sets the suppression state for the constraint. More...
 
unsafe bool UpperLimitEnabled [get, set]
 Returns or sets the upper limit of the expression of a constraint. More...
 
unsafe NXOpen.Expression UpperLimitExpression [get]
 Returns the upper limit of the expression of a constraint. More...
 
unsafe string UpperLimitRightHandSide [get, set]
 Returns or sets the upper limit of the expression right hand side of a constraint. More...
 
- Properties inherited from NXOpen.NXObject
unsafe bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
unsafe string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
unsafe string Name [get]
 Returns the custom name of the object. More...
 
unsafe NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
unsafe NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
unsafe NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 
- Properties inherited from NXOpen.INXObject
bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
string Name [get]
 Returns the custom name of the object. More...
 
NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Constraints for use in positioning objects in NX.

For constraints between components, the subclass NXOpen.Positioning.ComponentConstraint should be used by preference.

Some constraint types have an NXOpen.Expression associated with them, which the user can change to determine the value of that constraint. This expression applies to distance and angle constraints, and all joint types. The user can choose for this expression value to be driven by the system, so it will not have a fixed value set by the user.

Some constraint types with values can be given limits. If the constraint is driven, the solver will always try to solve it to remain within those limits, and the constraint will fail if this is not possible. If the constraint is driving, it will have a failure status if its value is set to violate those limits (though it will still solve the model).

To create a new instance of this class, use NXOpen.Positioning.Positioner.CreateConstraint

Created in NX4.0.0

Member Enumeration Documentation

Specifies alignment of directed geometries used in a constraint.

Enumerator
InferAlign 

Allow the solver to decide the alignment

CoAlign 

Directions are the same

ContraAlign 

Directions are opposite

Specifies the status of a constraint.

Enumerator
NewlyCreated 

Not evaluated or suppressed since creation

Suppressed 

Constraint is suppressed

OutOfDate 

Needs evaluation

OverConstrained 

Conflicts with other constraints

NotConsistentDims 

Cannot solve with current dimension values.

Model fully defined

NotConsistentOther 

Cannot find a solution.

Model underdefined

NotConsistentUnknown 

Cannot find a solution

BetweenFixed 

Attempt to put constraint between two fixed objects

NotSolved 

Not evaluated because other parts of the model are over defined or inconsistent

Solved 

The constraint is solved and satisfied

CannotSolve 

The constraint has invalid geometry and could not be passed to the solver

Delayed 

The constraint is delayed and will not solve

IgnoredInArrangement 

The current arrangement ignores all constraints and they will not solve

InternallyInconsistent 

The constraint references invalid geometry for this constraint type

UnloadedGeometry 

The constraint could not solve as some geometry is unloaded

PendingConvertedMc 

The constraint has been converted from a mating condition and has not solved since conversion

ConflictingWithWave 

The constraint has been suppressed because it's conflicting with WAVE

InconsistentLimits 

The constraint has limits that are inconsistent and it could not be passed to the solver

BeyondLimits 

The value of the expression of the constraint is beyond its limits and it could not be passed to the solver

Specifies how the spline points define the shape of the spline.

Enumerator
ByPoles 

Spline points define control points.

ByPoints 

Spline points define interpolation/through points.

Invalid 

Not a valid spline constraint.

Specifies the type of a constraint.

Enumerator
Undefined 

No type

Touch 

Two geometries touch

Concentric 

Two geometries share a center and plane

Fix 

One movable object fixed

Distance 

Two geometries have a specified distance between them

Parallel 

Two geometries are parallel

Perpendicular 

Two geometries are perpendicular

Center12 

One geometry is positioned mid-way between two others

Center22 

An implicit plane between two geometries of one movable object is positioned mid-way between two others

Angle 

Two geometries have a specified angle between them

Fit 

Two geometries are coincident

Bond 

A number of movable objects form a rigid group

OrientAngle 

Two geometries have a specified angle between them about an axis

SplineData 

A spline and its defining points

SplineLength 

Constrains the curve length of a spline

LinearPattern 

For internal use only

CircularPattern 

For internal use only

Linear2dPattern 

For internal use only

RadiantPattern 

For internal use only

AlignLock 

Two geometries are constrained to have a common axis and no rotation about it

CommonOffsetTransform 

For internal use only

Hinge 

Two objects along an axis of rotation

Slider 

Two objects along a linear axis

Cylindrical 

Two objects along a rotatable linear axis

Ball 

Two objects at a shared point

Screw 

For internal use only

Gear 

For internal use only

RackPinion 

For internal use only

Cable 

For internal use only

Member Function Documentation

unsafe NXOpen.Positioning.ConstraintReference NXOpen.Positioning.Constraint.CreateConstraintReference ( NXOpen.NXObject  movableObject,
NXOpen.NXObject  geometry,
bool  usesAxis,
bool  isIndirect 
)
inline

Adds geometry to a constraint and sets the movable object to be constrained.

Created in NX4.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

Parameters
movableObjectObject to be positioned by constraint
geometryGeometry used to define constraint
usesAxisUse axis of geometry
isIndirectGeometry is to be used indirectly to identify geometry in another part
Returns
The new NXOpen.Positioning.ConstraintReference
unsafe NXOpen.Positioning.ConstraintReference NXOpen.Positioning.Constraint.CreateConstraintReference ( NXOpen.NXObject  movableObject,
NXOpen.NXObject  geometry,
bool  usesAxis,
bool  isIndirect,
bool  usePortRotate 
)
inline

Adds geometry to a constraint and sets the movable object to be constrained.

Created in NX4.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

Parameters
movableObjectObject to be positioned by constraint
geometryGeometry used to define constraint
usesAxisUse axis of geometry
isIndirectGeometry is to be used indirectly to identify geometry in another part
usePortRotateUse rotate vector of NXOpen.Routing.Port .
Returns
The new NXOpen.Positioning.ConstraintReference
unsafe NXOpen.Positioning.ConstraintReference NXOpen.Positioning.Constraint.CreateCouplerReference ( NXOpen.NXObject  coupledConstraint)
inline

Adds constraint reference to a coupler.

Created in NX12.0.2

License requirements: assemblies ("ASSEMBLIES MODULE")

Parameters
coupledConstraintThe NXOpen.Positioning.Constraint to be coupled
Returns
The new NXOpen.Positioning.ConstraintReference
unsafe void NXOpen.Positioning.Constraint.DeleteConstraintReference ( NXOpen.Positioning.ConstraintReference  constraintReference)
inline

Removes a NXOpen.Positioning.ConstraintReference from the constraint.

Created in NX4.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

Parameters
constraintReferenceThe constraint reference to remove. A list of references can be obtained via NXOpen.Positioning.Constraint.GetReferences .
unsafe void NXOpen.Positioning.Constraint.EditConstraintReference ( NXOpen.Positioning.ConstraintReference  constraintReference,
NXOpen.NXObject  movableObject,
NXOpen.NXObject  geometry,
bool  usesAxis,
bool  isIndirect,
bool  usePortRotate 
)
inline

Adds geometry to a constraint and sets the movable object to be constrained, replacing the properties of an existing reference of the constraint.

Created in NX5.0.1

License requirements: assemblies ("ASSEMBLIES MODULE")

Parameters
constraintReferenceThe NXOpen.Positioning.ConstraintReference whose properties are to be changed
movableObjectObject to be positioned by constraint
geometryGeometry used to define constraint
usesAxisUse axis of geometry
isIndirectGeometry is to be used indirectly to identify geometry in another part
usePortRotateUse rotate vector of NXOpen.Routing.Port .
unsafe void NXOpen.Positioning.Constraint.EditCouplerReference ( NXOpen.Positioning.ConstraintReference  couplerReference,
NXOpen.NXObject  coupledConstraint 
)
inline

Edit coupler reference so that it is replaced with another constraint.

Created in NX12.0.2

License requirements: assemblies ("ASSEMBLIES MODULE")

Parameters
couplerReferenceThe NXOpen.Positioning.ConstraintReference whose properties are to be changed
coupledConstraintThe NXOpen.Positioning.Constraint to be coupled instead
unsafe void NXOpen.Positioning.Constraint.FlipAlignment ( )
inline

Reverses the constraint alignment if this is possible.

Created in NX4.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

unsafe void NXOpen.Positioning.Constraint.GenerateConversionReport ( out string[]  lines)
inline

Returns a textual conversion report this constraint from when it was converted from a Mating Constraint to an Assembly Constraint.

If this isn't a converted constraint or there were no problems converting this constraint, then an empty string is returned.

Created in NX5.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

Parameters
linesThe text lines of the conversion report
unsafe NXOpen.Positioning.Constraint.SolverStatus NXOpen.Positioning.Constraint.GetConstraintStatus ( )
inline

Returns the solver status of a constraint.

Created in NX4.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

Returns
The solver status of the constraint
unsafe NXOpen.Positioning.DisplayedConstraint NXOpen.Positioning.Constraint.GetDisplayedConstraint ( )
inline

Gets the NXOpen.Positioning.DisplayedConstraint that is in the same part as that of the constraint.

Note that this will be a null reference (Nothing in Visual Basic) if the part has not been the displayed part since the constraint was created.

Created in NX7.5.0

License requirements: assemblies ("ASSEMBLIES MODULE")

Returns
unsafe NXOpen.Positioning.ConstraintReference [] NXOpen.Positioning.Constraint.GetReferences ( )
inline

Gets all the NXOpen.Positioning.ConstraintReference s for the constraint.

Created in NX4.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

Returns
ConstraintReferences used by this constraint
unsafe void NXOpen.Positioning.Constraint.Renew ( )
inline

Changes the constraint to solve with the latest version of the constraint code.

Created in NX11.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

unsafe void NXOpen.Positioning.Constraint.ReverseDirection ( )
inline

Reverses the constraint direction.

This operation reverses the NXOpen.Positioning.ConstraintReference.Order on each NXOpen.Positioning.ConstraintReference . So "Inside" becomes "Outside", "Outside" becomes "Inside" and "Unknown" remains as it is.

Created in NX5.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

unsafe void NXOpen.Positioning.Constraint.SetAlignmentHint ( NXOpen.Positioning.Constraint.Alignment  alignment)
inline

Set a hint as to which alignment should be used by the solver for this constraint.

If the constraint does not solve using this alignment then the hint will be ignored.

The hint can only have an effect when the alignment of the constraint, as returned by NXOpen.Positioning.Constraint.ConstraintAlignment , is NXOpen.Positioning.Constraint.Alignment.InferAlign .

The hint can only have an effect when the constraint has been explicitly added to a NXOpen.Positioning.Network .

Passing in NXOpen.Positioning.Constraint.Alignment.InferAlign as the alignment argument will have no effect.

The hint is forgotten after an update.

Created in NX4.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

Parameters
alignmentThe alignment hint
unsafe void NXOpen.Positioning.Constraint.SetExpression ( string  expression)
inline

The NXOpen.Expression of a constraint - only used if this constraint type supports an expression, such as a distance or angle constraint, or a joint.

Created in NX4.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

Parameters
expressionName of expression used in the constraint

Property Documentation

unsafe bool NXOpen.Positioning.Constraint.Automatic
getset

Returns or sets the flag marking the constraint as an "automatic" constraint.

Automatic constraints are constraints created by the system, but are visible and editable by the user. Automatic constraints are automatically deleted when one of the referenced objects are deleted by update.

Created in NX5.0.0

License requirements to get this property: assemblies ("ASSEMBLIES MODULE")

License requirements to set this property: assemblies ("ASSEMBLIES MODULE")

unsafe NXOpen.Positioning.Constraint.Alignment NXOpen.Positioning.Constraint.ConstraintAlignment
getset

Returns or sets the alignment behavior for the constraint.

Created in NX4.0.0

License requirements to get this property: assemblies ("ASSEMBLIES MODULE")

License requirements to set this property: assemblies ("ASSEMBLIES MODULE")

unsafe NXOpen.Positioning.Constraint.Alignment NXOpen.Positioning.Constraint.ConstraintSecondAlignment
getset

Returns or sets the second alignment behavior for the constraint.

Created in NX12.0.2

License requirements to get this property: assemblies ("ASSEMBLIES MODULE")

License requirements to set this property: assemblies ("ASSEMBLIES MODULE")

unsafe NXOpen.Positioning.Constraint.Type NXOpen.Positioning.Constraint.ConstraintType
getset

Returns or sets the constraint type.

Created in NX4.0.0

License requirements to get this property: assemblies ("ASSEMBLIES MODULE")

License requirements to set this property: assemblies ("ASSEMBLIES MODULE")

unsafe NXOpen.Expression NXOpen.Positioning.Constraint.Expression
get

Returns the NXOpen.Expression of a constraint.

The expression will be unused unless this constraint type supports an expression, such as a distance or angle constraint, or a joint.

Created in NX4.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

unsafe bool NXOpen.Positioning.Constraint.ExpressionDriven
getset

Returns or sets the driven state of the expression of a constraint.

The value of a driven expression can change. Driven expression values are controlled by the solver and cannot be edited by the user. Only certain constraints with an expression can have their expression made driven, such as a distance or angle constraint, or a joint.

Created in NX11.0.0

License requirements to get this property: assemblies ("ASSEMBLIES MODULE")

License requirements to set this property: assemblies ("ASSEMBLIES MODULE")

unsafe bool NXOpen.Positioning.Constraint.LowerLimitEnabled
getset

Returns or sets the lower limit of the expression of a constraint.

The limit expression will only be used for certain constraint types, and they must have an expression.

Created in NX11.0.0

License requirements to get this property: assemblies ("ASSEMBLIES MODULE")

License requirements to set this property: assemblies ("ASSEMBLIES MODULE")

unsafe NXOpen.Expression NXOpen.Positioning.Constraint.LowerLimitExpression
get

Returns the lower limit of the expression of a constraint.

The limit expression will only be used for certain constraint types, and they must have an expression.

Created in NX11.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

unsafe string NXOpen.Positioning.Constraint.LowerLimitRightHandSide
getset

Returns or sets the lower limit of the expression right hand side of a constraint.

The limit expression will only be used for certain constraint types, and they must have an expression.

Created in NX11.0.0

License requirements to get this property: assemblies ("ASSEMBLIES MODULE")

License requirements to set this property: assemblies ("ASSEMBLIES MODULE")

unsafe NXOpen.Expression NXOpen.Positioning.Constraint.OffsetExpression
get

Returns the offset of a constraint.

The offset will only be used for coupler constraint types.

Created in NX12.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

unsafe string NXOpen.Positioning.Constraint.OffsetRightHandSide
getset

Returns or sets the offset right hand side of a constraint.

The offset right hand side will only be used for coupler constraint types.

Created in NX12.0.0

License requirements to get this property: assemblies ("ASSEMBLIES MODULE")

License requirements to set this property: assemblies ("ASSEMBLIES MODULE")

unsafe bool NXOpen.Positioning.Constraint.Persistent
getset

Returns or sets the persistent state of the constraint.

Created in NX4.0.0

License requirements to get this property: assemblies ("ASSEMBLIES MODULE")

License requirements to set this property: assemblies ("ASSEMBLIES MODULE")

unsafe NXOpen.Expression NXOpen.Positioning.Constraint.SecondExpression
get

Returns the second NXOpen.Expression of a constraint.

The second expression will be unused unless this constraint type supports a second expression. This only applies to cylindrical joints.

Created in NX12.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

unsafe bool NXOpen.Positioning.Constraint.SecondExpressionDriven
getset

Returns or sets the driven state of the second expression of a constraint.

The value of the driven second expression can change. Driven second expression values are controlled by the solver and cannot be edited by the user. This only applies to cylindrical joints.

Created in NX12.0.0

License requirements to get this property: assemblies ("ASSEMBLIES MODULE")

License requirements to set this property: assemblies ("ASSEMBLIES MODULE")

unsafe string NXOpen.Positioning.Constraint.SecondExpressionRightHandSide
getset

Returns or sets the second expression right hand side of a constraint.

The second expression right hand side will be unused unless this constraint type supports a second expression. This only applies to cylindrical joints.

Created in NX12.0.0

License requirements to get this property: assemblies ("ASSEMBLIES MODULE")

License requirements to set this property: assemblies ("ASSEMBLIES MODULE")

unsafe bool NXOpen.Positioning.Constraint.SecondLowerLimitEnabled
getset

Returns or sets the lower limit of the second expression of a constraint.

The second limit expression will only be used for certain constraint types, and they must have a second expression.

Created in NX12.0.0

License requirements to get this property: assemblies ("ASSEMBLIES MODULE")

License requirements to set this property: assemblies ("ASSEMBLIES MODULE")

unsafe NXOpen.Expression NXOpen.Positioning.Constraint.SecondLowerLimitExpression
get

Returns the lower limit of the second expression of a constraint.

The second limit expression will only be used for certain constraint types, and they must have a second expression.

Created in NX12.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

unsafe string NXOpen.Positioning.Constraint.SecondLowerLimitRightHandSide
getset

Returns or sets the lower limit of the second expression right hand side of a constraint.

The second limit expression will only be used for certain constraint types, and they must have a second expression.

Created in NX12.0.0

License requirements to get this property: assemblies ("ASSEMBLIES MODULE")

License requirements to set this property: assemblies ("ASSEMBLIES MODULE")

unsafe bool NXOpen.Positioning.Constraint.SecondUpperLimitEnabled
getset

Returns or sets the upper limit of the second expression of a constraint.

The second limit expression will only be used for certain constraint types, and they must have a second expression.

Created in NX12.0.0

License requirements to get this property: assemblies ("ASSEMBLIES MODULE")

License requirements to set this property: assemblies ("ASSEMBLIES MODULE")

unsafe NXOpen.Expression NXOpen.Positioning.Constraint.SecondUpperLimitExpression
get

Returns the upper limit of the second expression of a constraint.

The second limit expression will only be used for certain constraint types, and they must have a second expression.

Created in NX12.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

unsafe string NXOpen.Positioning.Constraint.SecondUpperLimitRightHandSide
getset

Returns or sets the upper limit of the second expression right hand side of a constraint.

The second limit expression will only be used for certain constraint types, and they must have a second expression.

Created in NX12.0.0

License requirements to get this property: assemblies ("ASSEMBLIES MODULE")

License requirements to set this property: assemblies ("ASSEMBLIES MODULE")

unsafe NXOpen.Positioning.Constraint.SplineType NXOpen.Positioning.Constraint.SplinePointsType
getset

Returns or sets the type of the spline.

Only valid if the type of the constraint is set to NXOpen.Positioning.Constraint.Type.SplineData .

Created in NX6.0.0

License requirements to get this property: assemblies ("ASSEMBLIES MODULE")

License requirements to set this property: assemblies ("ASSEMBLIES MODULE")

unsafe bool NXOpen.Positioning.Constraint.Suppressed
getset

Returns or sets the suppression state for the constraint.

In a NXOpen.Positioning.ComponentConstraint this is the state in the NXOpen.Positioning.ComponentPositioner.PrimaryArrangement ."

Created in NX4.0.0

License requirements to get this property: assemblies ("ASSEMBLIES MODULE")

License requirements to set this property: assemblies ("ASSEMBLIES MODULE")

unsafe bool NXOpen.Positioning.Constraint.UpperLimitEnabled
getset

Returns or sets the upper limit of the expression of a constraint.

The limit expression will only be used for certain constraint types, and they must have an expression.

Created in NX11.0.0

License requirements to get this property: assemblies ("ASSEMBLIES MODULE")

License requirements to set this property: assemblies ("ASSEMBLIES MODULE")

unsafe NXOpen.Expression NXOpen.Positioning.Constraint.UpperLimitExpression
get

Returns the upper limit of the expression of a constraint.

The limit expression will only be used for certain constraint types, and they must have an expression.

Created in NX11.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

unsafe string NXOpen.Positioning.Constraint.UpperLimitRightHandSide
getset

Returns or sets the upper limit of the expression right hand side of a constraint.

The limit expression will only be used for certain constraint types, and they must have an expression.

Created in NX11.0.0

License requirements to get this property: assemblies ("ASSEMBLIES MODULE")

License requirements to set this property: assemblies ("ASSEMBLIES MODULE")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.